@use "../theme";

.footer {
    background-color: #424242;
    width: 100%;

    &__content {
        display: flex;
        color: lighten(#424242, 50%);
        flex-direction: column;

        @media only screen and (min-width: theme.$md) {
            display: grid;
            grid-template-columns: 2fr 1fr 1fr;
        }

        &__logos {
            display: flex;
            flex-direction: column;

            &__text {
                margin-bottom: 1rem;

                @media only screen and (min-width: theme.$md) {
                    margin-bottom: 1.25rem;
                }
            }

            &__images {
                display: flex;
                flex-direction: column;

                @media only screen and (min-width: theme.$md) {
                    flex-direction: row;
                }

                img {

                    &:last-child {
                        margin-top: theme.$spacing04;

                        @media only screen and (min-width: theme.$md) {
                            margin-top: 0;
                            margin-left: 2rem;
                        }
                    }
                }
            }

        }

        &__links {
            display: flex;
            flex-direction: column;
            align-items: flex-start;
            margin-top: theme.$spacing09;

            @media only screen and (min-width: theme.$md) {
                margin-top: 0;
            }

            &__top {
                display: flex;
                flex-direction: column;
                margin-bottom: theme.$spacing05;

                &__list {
                    list-style: none;
                    padding: 0;
                    margin: 0;
                }
            }


            a {
                color: lighten(#424242, 50%);
                font-weight: theme.$fontWeightRegular;
                text-decoration: none;
                display: flex;
                align-items: center;

                &:hover {
                    color: theme.$colorTextInverse;
                }
            }
        }
    }
}